POST api/Orders

Creates a new order or updates an existent order's information.

Request Information

URI Parameters

None.

Body Parameters

OrderModel
NameDescriptionTypeAdditional information
Created

Creation Date of the order.

date

None.

PickupDate

This is the date in which the patient picked up the order from the office. It may be null if the order is still in the office.

date

None.

PatientExternalId

ID of the patient in the integrating system (Required).

string

None.

LocationExternalId

ID of the location in the integrating system (Required).

string

None.

PhysicianExternalId

ID of the physician in the integrating system.

string

None.

UserExternalId

ID in the integrating system of the user that created the order.

string

None.

OrderStatusExternalId

ID in the integrating system of the order status assigned to the order.

string

None.

OrderBalance

Balance of the order.

decimal number

None.

PatientBalance

Balance of the order that must be paid by the patient.

decimal number

None.

ReceiptNote

Receipt note of the order.

string

None.

Type

Eyewear type of the order: Frames, Spectacles, Contacts or Others.

string

None.

OrderDetails

List of the order details.

Collection of OrderDetailModel

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "created": "2026-05-29T16:57:34.2952871+00:00",
  "pickupDate": "2026-05-29T16:57:34.2952871+00:00",
  "patientExternalId": "sample string 2",
  "locationExternalId": "sample string 3",
  "physicianExternalId": "sample string 4",
  "userExternalId": "sample string 5",
  "orderStatusExternalId": "sample string 6",
  "orderBalance": 7.0,
  "patientBalance": 8.0,
  "receiptNote": "sample string 9",
  "type": "sample string 10",
  "orderDetails": [
    {
      "orderDetailExternalId": "sample string 1",
      "productDescription": "sample string 2",
      "quantity": 3,
      "retailPrice": 1.0,
      "unitPrice": 4.0,
      "tax1": 5.0,
      "tax2": 6.0
    },
    {
      "orderDetailExternalId": "sample string 1",
      "productDescription": "sample string 2",
      "quantity": 3,
      "retailPrice": 1.0,
      "unitPrice": 4.0,
      "tax1": 5.0,
      "tax2": 6.0
    }
  ],
  "id": "d6361831-e14d-49e9-acf9-6f4802a5c367",
  "externalId": "sample string 12"
}

application/xml, text/xml

Sample:
<OrderModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Orders">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 12</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">d6361831-e14d-49e9-acf9-6f4802a5c367</Id>
  <Created>2026-05-29T16:57:34.2952871+00:00</Created>
  <LocationExternalId>sample string 3</LocationExternalId>
  <OrderBalance>7</OrderBalance>
  <OrderDetails>
    <OrderDetailModel>
      <OrderDetailExternalId>sample string 1</OrderDetailExternalId>
      <ProductDescription>sample string 2</ProductDescription>
      <Quantity>3</Quantity>
      <RetailPrice>1</RetailPrice>
      <Tax1>5</Tax1>
      <Tax2>6</Tax2>
      <UnitPrice>4</UnitPrice>
    </OrderDetailModel>
    <OrderDetailModel>
      <OrderDetailExternalId>sample string 1</OrderDetailExternalId>
      <ProductDescription>sample string 2</ProductDescription>
      <Quantity>3</Quantity>
      <RetailPrice>1</RetailPrice>
      <Tax1>5</Tax1>
      <Tax2>6</Tax2>
      <UnitPrice>4</UnitPrice>
    </OrderDetailModel>
  </OrderDetails>
  <OrderStatusExternalId>sample string 6</OrderStatusExternalId>
  <PatientBalance>8</PatientBalance>
  <PatientExternalId>sample string 2</PatientExternalId>
  <PhysicianExternalId>sample string 4</PhysicianExternalId>
  <PickupDate>2026-05-29T16:57:34.2952871+00:00</PickupDate>
  <ReceiptNote>sample string 9</ReceiptNote>
  <Type>sample string 10</Type>
  <UserExternalId>sample string 5</UserExternalId>
</OrderModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'OrderModel'.

Response Information

Resource Description

OrderModel
NameDescriptionTypeAdditional information
Created

Creation Date of the order.

date

None.

PickupDate

This is the date in which the patient picked up the order from the office. It may be null if the order is still in the office.

date

None.

PatientExternalId

ID of the patient in the integrating system (Required).

string

None.

LocationExternalId

ID of the location in the integrating system (Required).

string

None.

PhysicianExternalId

ID of the physician in the integrating system.

string

None.

UserExternalId

ID in the integrating system of the user that created the order.

string

None.

OrderStatusExternalId

ID in the integrating system of the order status assigned to the order.

string

None.

OrderBalance

Balance of the order.

decimal number

None.

PatientBalance

Balance of the order that must be paid by the patient.

decimal number

None.

ReceiptNote

Receipt note of the order.

string

None.

Type

Eyewear type of the order: Frames, Spectacles, Contacts or Others.

string

None.

OrderDetails

List of the order details.

Collection of OrderDetailModel

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "created": "2026-05-29T16:57:34.3000392+00:00",
  "pickupDate": "2026-05-29T16:57:34.3000392+00:00",
  "patientExternalId": "sample string 2",
  "locationExternalId": "sample string 3",
  "physicianExternalId": "sample string 4",
  "userExternalId": "sample string 5",
  "orderStatusExternalId": "sample string 6",
  "orderBalance": 7.0,
  "patientBalance": 8.0,
  "receiptNote": "sample string 9",
  "type": "sample string 10",
  "orderDetails": [
    {
      "orderDetailExternalId": "sample string 1",
      "productDescription": "sample string 2",
      "quantity": 3,
      "retailPrice": 1.0,
      "unitPrice": 4.0,
      "tax1": 5.0,
      "tax2": 6.0
    },
    {
      "orderDetailExternalId": "sample string 1",
      "productDescription": "sample string 2",
      "quantity": 3,
      "retailPrice": 1.0,
      "unitPrice": 4.0,
      "tax1": 5.0,
      "tax2": 6.0
    }
  ],
  "id": "314c4402-b96c-41f9-a99e-9bea6595394b",
  "externalId": "sample string 12"
}

application/xml, text/xml

Sample:
<OrderModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Orders">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 12</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">314c4402-b96c-41f9-a99e-9bea6595394b</Id>
  <Created>2026-05-29T16:57:34.3000392+00:00</Created>
  <LocationExternalId>sample string 3</LocationExternalId>
  <OrderBalance>7</OrderBalance>
  <OrderDetails>
    <OrderDetailModel>
      <OrderDetailExternalId>sample string 1</OrderDetailExternalId>
      <ProductDescription>sample string 2</ProductDescription>
      <Quantity>3</Quantity>
      <RetailPrice>1</RetailPrice>
      <Tax1>5</Tax1>
      <Tax2>6</Tax2>
      <UnitPrice>4</UnitPrice>
    </OrderDetailModel>
    <OrderDetailModel>
      <OrderDetailExternalId>sample string 1</OrderDetailExternalId>
      <ProductDescription>sample string 2</ProductDescription>
      <Quantity>3</Quantity>
      <RetailPrice>1</RetailPrice>
      <Tax1>5</Tax1>
      <Tax2>6</Tax2>
      <UnitPrice>4</UnitPrice>
    </OrderDetailModel>
  </OrderDetails>
  <OrderStatusExternalId>sample string 6</OrderStatusExternalId>
  <PatientBalance>8</PatientBalance>
  <PatientExternalId>sample string 2</PatientExternalId>
  <PhysicianExternalId>sample string 4</PhysicianExternalId>
  <PickupDate>2026-05-29T16:57:34.3000392+00:00</PickupDate>
  <ReceiptNote>sample string 9</ReceiptNote>
  <Type>sample string 10</Type>
  <UserExternalId>sample string 5</UserExternalId>
</OrderModel>